package com.usky.sas.common;

import io.swagger.annotations.ApiModelProperty;

public class UnityVideoInfo {
    @ApiModelProperty("设备mac地址")
    private String macAddr;
    @ApiModelProperty("ZLM主动拉流唯一标识")
    private String key;
    @ApiModelProperty("视频流唯一标识")
    private String ssrc;
    @ApiModelProperty("视频流播放地址")
    private String url;

    public UnityVideoInfo() {
    }

    public String getMacAddr() {
        return this.macAddr;
    }

    public String getKey() {
        return this.key;
    }

    public String getSsrc() {
        return this.ssrc;
    }

    public String getUrl() {
        return this.url;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setSsrc(String ssrc) {
        this.ssrc = ssrc;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof UnityVideoInfo)) {
            return false;
        } else {
            UnityVideoInfo other = (UnityVideoInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$macAddr = this.getMacAddr();
                Object other$macAddr = other.getMacAddr();
                if (this$macAddr == null) {
                    if (other$macAddr != null) {
                        return false;
                    }
                } else if (!this$macAddr.equals(other$macAddr)) {
                    return false;
                }

                Object this$key = this.getKey();
                Object other$key = other.getKey();
                if (this$key == null) {
                    if (other$key != null) {
                        return false;
                    }
                } else if (!this$key.equals(other$key)) {
                    return false;
                }

                Object this$ssrc = this.getSsrc();
                Object other$ssrc = other.getSsrc();
                if (this$ssrc == null) {
                    if (other$ssrc != null) {
                        return false;
                    }
                } else if (!this$ssrc.equals(other$ssrc)) {
                    return false;
                }

                Object this$url = this.getUrl();
                Object other$url = other.getUrl();
                if (this$url == null) {
                    if (other$url != null) {
                        return false;
                    }
                } else if (!this$url.equals(other$url)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof UnityVideoInfo;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $macAddr = this.getMacAddr();
        result = result * 59 + ($macAddr == null ? 43 : $macAddr.hashCode());
        Object $key = this.getKey();
        result = result * 59 + ($key == null ? 43 : $key.hashCode());
        Object $ssrc = this.getSsrc();
        result = result * 59 + ($ssrc == null ? 43 : $ssrc.hashCode());
        Object $url = this.getUrl();
        result = result * 59 + ($url == null ? 43 : $url.hashCode());
        return result;
    }

    public String toString() {
        return "UnityVideoInfo(macAddr=" + this.getMacAddr() + ", key=" + this.getKey() + ", ssrc=" + this.getSsrc() + ", url=" + this.getUrl() + ")";
    }
}
